org.apache.poi.hssf.record.cf

## Class IconMultiStateThreshold

- java.lang.Object
- - org.apache.poi.hssf.record.cf.Threshold
  - - org.apache.poi.hssf.record.cf.IconMultiStateThreshold

- All Implemented Interfaces:
    Duplicatable

      public final class IconMultiStateThreshold
      extends Threshold
      implements Duplicatable

  Icon / Multi-State specific Threshold / value (CFVO), for changes in Conditional Formatting

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `EQUALS_EXCLUDE` Cell values that are equal to the threshold value do not pass the threshold
    `static byte` | `EQUALS_INCLUDE` Cell values that are equal to the threshold value pass the threshold.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconMultiStateThreshold()`
    `IconMultiStateThreshold(IconMultiStateThreshold other)`
    `IconMultiStateThreshold(LittleEndianInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconMultiStateThreshold` | `clone()` Deprecated.
    `IconMultiStateThreshold` | `copy()`
    `int` | `getDataLength()`
    `byte` | `getEquals()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setEquals(byte equals)`

    - ### Methods inherited from class org.apache.poi.hssf.record.cf.Threshold

      `getFormula, getParsedExpression, getType, getValue, setParsedExpression, setType, setType, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EQUALS_EXCLUDE

          public static final byte EQUALS_EXCLUDE

      Cell values that are equal to the threshold value do not pass the threshold
      See Also:
        Constant Field Values

    - #### EQUALS_INCLUDE

          public static final byte EQUALS_INCLUDE

      Cell values that are equal to the threshold value pass the threshold.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IconMultiStateThreshold

          public IconMultiStateThreshold()

    - #### IconMultiStateThreshold

          public IconMultiStateThreshold(IconMultiStateThreshold other)

    - #### IconMultiStateThreshold

          public IconMultiStateThreshold(LittleEndianInput in)

  - ### Method Detail

    - #### getEquals

          public byte getEquals()

    - #### setEquals

          public void setEquals(byte equals)

    - #### getDataLength

          public int getDataLength()

      Overrides:
        `getDataLength` in class `Threshold`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public IconMultiStateThreshold clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public IconMultiStateThreshold copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Threshold`
      Returns:
        a deep copy of the implementing class / instance

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Overrides:
        `serialize` in class `Threshold`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.